//  Copyright (C) 2003 Koji Tsukada and Satoru Takabayashi
//      All rights reserved.
//      This is free software with ABSOLUTELY NO WARRANTY.
//
//  You can redistribute it and/or modify it under the terms of
//  the GNU General Public License version 2.

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace FaceIcon
{
	/// <summary>
	/// MessageAdditionForm ̊Tv̐łB
	/// </summary>
	public class MessageAdditionForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.PictureBox pictureBox1;
		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		private System.ComponentModel.Container components = null;

		private System.Windows.Forms.LinkLabel cancelLabel;
		private System.Windows.Forms.Button submitButton;
		private System.Windows.Forms.RichTextBox messageTextBox;
		Config config;
		UserProfile userProfile;
		TargetProfile targetProfile;

		public MessageAdditionForm(Config config, UserProfile userProfile, TargetProfile targetProfile)
		{
			//
			// Windows tH[ fUCi T|[gɕKvłB
			//
			InitializeComponent();

			//
			// TODO: InitializeComponent ĂяǒɁARXgN^ R[hǉĂB
			//
			this.config = config;
			this.userProfile = userProfile;
			this.targetProfile = targetProfile;
		}

		/// <summary>
		/// gpĂ郊\[XɌ㏈s܂B
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MessageAdditionForm));
			this.cancelLabel = new System.Windows.Forms.LinkLabel();
			this.submitButton = new System.Windows.Forms.Button();
			this.messageTextBox = new System.Windows.Forms.RichTextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.SuspendLayout();
			// 
			// cancelLabel
			// 
			this.cancelLabel.Location = new System.Drawing.Point(344, 104);
			this.cancelLabel.Name = "cancelLabel";
			this.cancelLabel.Size = new System.Drawing.Size(56, 16);
			this.cancelLabel.TabIndex = 17;
			this.cancelLabel.TabStop = true;
			this.cancelLabel.Text = "LZ";
			this.cancelLabel.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.CancelLabel_LinkClicked);
			// 
			// submitButton
			// 
			this.submitButton.BackColor = System.Drawing.Color.Lavender;
			this.submitButton.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.submitButton.ForeColor = System.Drawing.Color.MidnightBlue;
			this.submitButton.Location = new System.Drawing.Point(344, 48);
			this.submitButton.Name = "submitButton";
			this.submitButton.Size = new System.Drawing.Size(48, 48);
			this.submitButton.TabIndex = 16;
			this.submitButton.Text = "M";
			this.submitButton.Click += new System.EventHandler(this.submitButton_Click);
			// 
			// messageTextBox
			// 
			this.messageTextBox.Location = new System.Drawing.Point(72, 48);
			this.messageTextBox.Name = "messageTextBox";
			this.messageTextBox.Size = new System.Drawing.Size(256, 48);
			this.messageTextBox.TabIndex = 15;
			this.messageTextBox.Text = "t@C𑗂܂";
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("MS UI Gothic", 13F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(128)));
			this.label1.Location = new System.Drawing.Point(16, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(312, 24);
			this.label1.TabIndex = 14;
			this.label1.Text = "ɃbZ[WY܂";
			// 
			// pictureBox1
			// 
			this.pictureBox1.Image = ((System.Drawing.Bitmap)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(8, 48);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(48, 48);
			this.pictureBox1.TabIndex = 13;
			this.pictureBox1.TabStop = false;
			// 
			// MessageAdditionForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
			this.ClientSize = new System.Drawing.Size(400, 125);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.cancelLabel,
																		  this.submitButton,
																		  this.messageTextBox,
																		  this.label1,
																		  this.pictureBox1});
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "MessageAdditionForm";
			this.SizeGripStyle = System.Windows.Forms.SizeGripStyle.Hide;
			this.Text = "MessageAdditionForm";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.FormClosing);
			this.Load += new System.EventHandler(this.MessageAdditionForm_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private void CancelLabel_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			Application.Exit();
		}

		private void MessageAdditionForm_Load(object sender, System.EventArgs e)
		{
			label1.Text = targetProfile.Name + "ɃbZ[WY܂";
			try 
			{
				Util.LoadImage(pictureBox1, targetProfile.IconPath);
				Util.LoadIcon(this, targetProfile.IconPath);
			}
			catch
			{
			}
		}

		private void submitButton_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void FormClosing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			Application.Exit();
		}

		public string Message
		{
			get
			{
				return messageTextBox.Text;
			}
		}
	}
}
