//  Copyright (C) 2003 Koji Tsukada and Satoru Takabayashi
//      All rights reserved.
//      This is free software with ABSOLUTELY NO WARRANTY.
//
//  You can redistribute it and/or modify it under the terms of
//  the GNU General Public License version 2.

using System;
using System.Collections;
using System.Windows.Forms;

namespace FaceIcon
{
	/// <summary>
	/// Getopt ̊Tv̐łB
	/// </summary>
	public class Getopt
	{
		string optionString;
		string[] arguments;
		string[] remains;
		Hashtable options;

		public Getopt(string ostring, string[] args)
		{
			// 
			// TODO: RXgN^ WbNɒǉĂB
			//
			optionString = ostring;
			arguments = args;
			options = new Hashtable();
			Parse();
		}

		private void Parse ()
		{
			int idx = 0;
			while (arguments.Length > idx + 1) 
			{
				string option = arguments[idx];
				if (option.Length >= 2 && option[0] == '-') 
				{
					string arg = arguments[idx + 1];
					char optChar = option[1];
					if (optionString.LastIndexOf(optChar) < 0) // not found
					{
						Console.WriteLine("illegal option -- {0}", optChar);
 						break;
					}
					else
					{
						options.Add(optChar, arg);
						idx += 2;
					}
				} 
				else 
				{
					break;
				}
			}

			remains = new string[arguments.Length - idx];
			for (int i = 0; i < remains.Length; i++)
				remains[i] = arguments[idx + i];
		}

		public string Get (char c)
		{
			return (string)options[c];
		}

		public string[] Remains ()
		{
			return remains;
		}
	}
}
