//  Copyright (C) 2003 Koji Tsukada and Satoru Takabayashi
//      All rights reserved.
//      This is free software with ABSOLUTELY NO WARRANTY.
//
//  You can redistribute it and/or modify it under the terms of
//  the GNU General Public License version 2.

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Web.Mail; 
using System.IO;

namespace FaceIcon
{
	/// <summary>
	/// MessagingForm ̊Tv̐łB
	/// </summary>
	public class MessagingForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.RichTextBox richTextBox1;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.LinkLabel linkLabel1;
		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		private System.ComponentModel.Container components = null;

		private System.Windows.Forms.ComboBox comboBox1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.LinkLabel CancelLabel;

		string toAddress;
		UserProfile userProfile;
		TargetProfile targetProfile;
		Config config;

		public MessagingForm(Config config, UserProfile userProfile, TargetProfile targetProfile)
		{
			//
			// Windows tH[ fUCi T|[gɕKvłB
			//
			InitializeComponent();

			//
			// TODO: InitializeComponent ĂяǒɁARXgN^ R[hǉĂB
			//
			this.config = config;
			this.userProfile = userProfile;
			this.targetProfile = targetProfile;
			if (targetProfile.MobileAddress != "")
				comboBox1.Items.Add(targetProfile.MobileAddress);
			if (targetProfile.Address != "")
				comboBox1.Items.Add(targetProfile.Address);
			comboBox1.SelectedIndex = 0;
			if (comboBox1.Items.Count > 0)
				toAddress = (string)comboBox1.SelectedItem;
		}

		/// <summary>
		/// gpĂ郊\[XɌ㏈s܂B
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MessagingForm));
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.label1 = new System.Windows.Forms.Label();
			this.richTextBox1 = new System.Windows.Forms.RichTextBox();
			this.button1 = new System.Windows.Forms.Button();
			this.linkLabel1 = new System.Windows.Forms.LinkLabel();
			this.comboBox1 = new System.Windows.Forms.ComboBox();
			this.label2 = new System.Windows.Forms.Label();
			this.CancelLabel = new System.Windows.Forms.LinkLabel();
			this.SuspendLayout();
			// 
			// pictureBox1
			// 
			this.pictureBox1.Image = ((System.Drawing.Bitmap)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(16, 48);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(48, 48);
			this.pictureBox1.TabIndex = 3;
			this.pictureBox1.TabStop = false;
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("MS UI Gothic", 13F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(128)));
			this.label1.Location = new System.Drawing.Point(16, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(312, 24);
			this.label1.TabIndex = 5;
			this.label1.Text = "ɃbZ[W𑗂܂";
			// 
			// richTextBox1
			// 
			this.richTextBox1.Location = new System.Drawing.Point(72, 48);
			this.richTextBox1.Name = "richTextBox1";
			this.richTextBox1.Size = new System.Drawing.Size(256, 48);
			this.richTextBox1.TabIndex = 7;
			this.richTextBox1.Text = "ɂ";
			// 
			// button1
			// 
			this.button1.BackColor = System.Drawing.Color.Lavender;
			this.button1.ForeColor = System.Drawing.Color.MidnightBlue;
			this.button1.Location = new System.Drawing.Point(344, 48);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(48, 48);
			this.button1.TabIndex = 8;
			this.button1.Text = "M";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// linkLabel1
			// 
			this.linkLabel1.Location = new System.Drawing.Point(272, 112);
			this.linkLabel1.Name = "linkLabel1";
			this.linkLabel1.Size = new System.Drawing.Size(64, 16);
			this.linkLabel1.TabIndex = 9;
			this.linkLabel1.TabStop = true;
			this.linkLabel1.Text = "ݒ̕ύX";
			this.linkLabel1.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkLabel1_LinkClicked);
			// 
			// comboBox1
			// 
			this.comboBox1.Location = new System.Drawing.Point(72, 104);
			this.comboBox1.Name = "comboBox1";
			this.comboBox1.Size = new System.Drawing.Size(184, 20);
			this.comboBox1.TabIndex = 10;
			this.comboBox1.SelectedIndexChanged += new System.EventHandler(this.comboBox1_SelectedIndexChanged);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(24, 104);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(48, 24);
			this.label2.TabIndex = 11;
			this.label2.Text = "M";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// CancelLabel
			// 
			this.CancelLabel.Location = new System.Drawing.Point(344, 112);
			this.CancelLabel.Name = "CancelLabel";
			this.CancelLabel.Size = new System.Drawing.Size(56, 16);
			this.CancelLabel.TabIndex = 12;
			this.CancelLabel.TabStop = true;
			this.CancelLabel.Text = "LZ";
			this.CancelLabel.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.CancelLabel_LinkClicked);
			// 
			// MessagingForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
			this.ClientSize = new System.Drawing.Size(406, 134);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.CancelLabel,
																		  this.label2,
																		  this.comboBox1,
																		  this.linkLabel1,
																		  this.button1,
																		  this.richTextBox1,
																		  this.label1,
																		  this.pictureBox1});
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "MessagingForm";
			this.Text = "bZ[WM";
			this.Load += new System.EventHandler(this.MessagingForm_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private void MessagingForm_Load(object sender, System.EventArgs e)
		{
			UpdateDisplay();
		}


		private void button1_Click(object sender, System.EventArgs e)
		{
			MailMessage msg = new MailMessage();
			msg.From = userProfile.FullAddress;
			if (toAddress != null) 
			{
				msg.To = toAddress;
				if (richTextBox1.Text.Length <= 15)
					msg.Subject = richTextBox1.Text;
				else
					msg.Subject = richTextBox1.Text.Substring(0, 15) + "...";
				msg.Body = richTextBox1.Text;
				try
				{
					SmtpMail.SmtpServer = userProfile.SmtpHost;
					SmtpMail.Send(msg);
				}
				catch(Exception ex)
				{
					MessageBox.Show("MɎs܂DSMTPT[o[̐ݒȂǂmFĂD" + "\n" + ex.Message);
					Application.Exit();

				}
			}
			Application.Exit();
		}

		private void UpdateDisplay()
		{
			label1.Text = targetProfile.Name + "ɃbZ[W𑗂܂";
			try 
			{
				Util.LoadImage(pictureBox1, targetProfile.IconPath);
				Util.LoadIcon(this, targetProfile.IconPath);
			}
			catch
			{
			}
		}

		private void linkLabel1_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			string originalName = targetProfile.Name;

			ConfigForm form = new ConfigForm(config, userProfile, targetProfile);
			form.ShowDialog();
			if(form.DialogResult == DialogResult.OK)
			{
				comboBox1.Items.Clear();
				if (targetProfile.MobileAddress != "")
					comboBox1.Items.Add(targetProfile.MobileAddress);
				if (targetProfile.Address != "")
					comboBox1.Items.Add(targetProfile.Address);
				comboBox1.SelectedIndex = 0;
				if (comboBox1.Items.Count > 0)
					toAddress = (string)comboBox1.SelectedItem;
				
				//comboBox1.Update();
				
				if (originalName != targetProfile.Name)
				{
					System.IO.File.Delete(originalName + ".lnk");
				}
			}
			UpdateDisplay();
		}

		private void comboBox1_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			toAddress = (string)comboBox1.SelectedItem;
		}

		private void CancelLabel_LinkClicked(object sender, System.Windows.Forms.LinkLabelLinkClickedEventArgs e)
		{
			Application.Exit();
		}
	}
}
